[ VIGRA Homepage | Function Index | Class Index | Namespaces | File List | Main Page ]

| StridedScanOrderIterator< N, V, REFERENCE, POINTER > Class Template Reference |

Sequential iterator for MultiArrayView. More...

`#include <vigra/multi_iterator.hxx>`

Inheritance diagram for StridedScanOrderIterator< N, V, REFERENCE, POINTER >:

## Additional Inherited Members

Public Types inherited from CoupledScanOrderIterator< N, HANDLES, DIMENSION >
typedef HANDLES | value_type
Public Member Functions inherited from CoupledScanOrderIterator< N, HANDLES, DIMENSION >
template<unsigned int TARGET_INDEX>
CoupledHandleCast< TARGET_INDEX, value_type >::type::reference | get ()
template<unsigned int TARGET_INDEX>
CoupledHandleCast< TARGET_INDEX, value_type >::type::const_reference | get () const
CoupledScanOrderIterator | getEndIterator () const

## Detailed Description

### template<unsigned int N, class V, class REFERENCE, class POINTER>
class vigra::StridedScanOrderIterator< N, V, REFERENCE, POINTER >

Sequential iterator for MultiArrayView.

This iterator provides STL-compatible random access iterator functionality for arbitrary MultiArrayView instances, regardless of their shapes and strides. The class uses an implementation that minimizes speed penalties that could result from non-trivial strides. The scan-order is defined such that dimensions are iterated from front to back (first to last).

You normally construct instances of this class by calling MultiArrayView::begin() and MultiArrayView::end().

The iterator supports all functions listed in the STL documentation for Random Access Iterators.

#include <vigra/multi_iterator.hxx>
Namespace: vigra

The documentation for this class was generated from the following files:

- vigra/multi_fwd.hxx
- vigra/multi_iterator.hxx

© Ullrich Köthe (ullrich.koethe@iwr.uni-heidelberg.de) Heidelberg Collaboratory for Image Processing, University of Heidelberg, Germany | html generated using doxygen and Python vigra 1.11.1